Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jdbc
Class DerbyDatabase

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.jdbc.DerbyDatabase

All Implemented Interfaces:
  DerbyDatabaseMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, org.jboss.system.Service, org.jboss.system.ServiceMBean

public class DerbyDatabase
extends org.jboss.system.ServiceMBeanSupport
implements DerbyDatabaseMBean, javax.management.MBeanRegistration

Integration with Derby.

Starts Derby database in-VM.

Version:
  $Revision: 1.1.4.1 $
Author:
  Alexey Loubyansky

Field Summary

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.jdbc.DerbyDatabaseMBean
`OBJECT_NAME`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`DerbyDatabase()`

Method Summary
`String` | `getDatabase()` Get the database name.
`protected javax.management.ObjectName` | `getObjectName(javax.management.MBeanServer server, javax.management.ObjectName name)`
`String` | `getPassword()`
`String` | `getUser()`
`void` | `setDatabase(String name)` Set the database name.
`void` | `setPassword(String password)`
`void` | `setUser(String user)`
`protected void` | `startService()`
`protected void` | `stopService()`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, createService, destroy, destroyService, getLog, getName, getNextNotificationSequenceNumber, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, start, stop`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Constructor Detail

### DerbyDatabase

    public DerbyDatabase()

Method Detail

### setDatabase

    public void setDatabase(String name)

  Set the database name.

  Specified by:
    `setDatabase` in interface `DerbyDatabaseMBean`

### getDatabase

    public String getDatabase()

  Get the database name.

  Specified by:
    `getDatabase` in interface `DerbyDatabaseMBean`

### getPassword

    public String getPassword()

  Specified by:
    `getPassword` in interface `DerbyDatabaseMBean`
  Returns:
    the password

### getUser

    public String getUser()

  Specified by:
    `getUser` in interface `DerbyDatabaseMBean`
  Returns:
    the user

### setPassword

    public void setPassword(String password)

  Specified by:
    `setPassword` in interface `DerbyDatabaseMBean`
  Parameters:
    `password` -

### setUser

    public void setUser(String user)

  Specified by:
    `setUser` in interface `DerbyDatabaseMBean`
  Parameters:
    `user` -

### getObjectName

    protected javax.management.ObjectName getObjectName(javax.management.MBeanServer server,
                                                        javax.management.ObjectName name)
                                                 throws javax.management.MalformedObjectNameException

  Throws:
    `javax.management.MalformedObjectNameException`

### startService

    protected void startService()
                         throws Exception

  Throws:
    `Exception`

### stopService

    protected void stopService()
                        throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.